host tests are failing due to assertion errors

Bug #1362318 reported by Denis M. on 2014-08-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack DBaaS (Trove)
Medium
Unassigned

Bug Description

This happens from time to time.

It happend with recent patchset:
see http://logs.openstack.org/55/117255/2/check/gate-trove-python26/8a768b3/
see http://logs.openstack.org/55/117255/2/check/gate-trove-python27/73c24d0/

2014-08-27 19:34:51.914 |
2014-08-27 19:34:51.914 | ======================================================================
2014-08-27 19:34:51.915 | FAIL: proboscis.case.MethodTest (test_index_host_list_single)
2014-08-27 19:34:51.915 | ----------------------------------------------------------------------
2014-08-27 19:34:51.951 | Traceback (most recent call last):
2014-08-27 19:34:51.951 | File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 296, in testng_method_mistake_capture_func
2014-08-27 19:34:51.951 | compatability.capture_type_error(s_func)
2014-08-27 19:34:51.951 | File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/compatability/exceptions_2_6.py", line 27, in capture_type_error
2014-08-27 19:34:51.952 | func()
2014-08-27 19:34:51.952 | File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 350, in func
2014-08-27 19:34:51.952 | func(test_case.state.get_state())
2014-08-27 19:34:51.952 | File "/home/jenkins/workspace/gate-trove-python26/trove/tests/api/mgmt/hosts.py", line 173, in test_index_host_list_single
2014-08-27 19:34:51.952 | check.true(active_instance is not None, "No active instances")
2014-08-27 19:34:51.952 | File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/check.py", line 127, in __exit__
2014-08-27 19:34:51.952 | raise ASSERTION_ERROR(final_message)
2014-08-27 19:34:51.952 | AssertionError: Check failure! Traceback:
2014-08-27 19:34:51.952 | File "run_tests.py", line 194, in <module>
2014-08-27 19:34:51.952 | proboscis.TestProgram().run_and_exit()
2014-08-27 19:34:51.953 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 577, in run_and_exit
2014-08-27 19:34:51.953 | self.__run()
2014-08-27 19:34:51.953 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 534, in run
2014-08-27 19:34:51.953 | *args, **kwargs
2014-08-27 19:34:51.953 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/core.py", line 121, in __init__
2014-08-27 19:34:51.953 | **extra_args)
2014-08-27 19:34:51.953 | * File "/usr/lib64/python2.6/unittest.py", line 816, in __init__
2014-08-27 19:34:51.953 | self.runTests()
2014-08-27 19:34:51.953 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/core.py", line 207, in runTests
2014-08-27 19:34:51.953 | result = self.testRunner.run(self.test)
2014-08-27 19:34:51.953 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/core.py", line 62, in run
2014-08-27 19:34:51.954 | test(result)
2014-08-27 19:34:51.954 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/suite.py", line 177, in __call__
2014-08-27 19:34:51.954 | return self.run(*arg, **kw)
2014-08-27 19:34:51.954 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/suite.py", line 224, in run
2014-08-27 19:34:51.954 | test(orig)
2014-08-27 19:34:51.954 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/suite.py", line 177, in __call__
2014-08-27 19:34:51.954 | return self.run(*arg, **kw)
2014-08-27 19:34:51.954 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/suite.py", line 224, in run
2014-08-27 19:34:51.954 | test(orig)
2014-08-27 19:34:51.954 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/case.py", line 45, in __call__
2014-08-27 19:34:51.954 | return self.run(*arg, **kwarg)
2014-08-27 19:34:51.955 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/case.py", line 133, in run
2014-08-27 19:34:51.955 | self.runTest(result)
2014-08-27 19:34:51.955 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/case.py", line 151, in runTest
2014-08-27 19:34:51.955 | test(result)
2014-08-27 19:34:51.955 | * File "/usr/lib64/python2.6/unittest.py", line 299, in __call__
2014-08-27 19:34:51.955 | return self.run(*args, **kwds)
2014-08-27 19:34:51.955 | * File "/usr/lib64/python2.6/unittest.py", line 278, in run
2014-08-27 19:34:51.955 | testMethod()
2014-08-27 19:34:51.955 | * File "/usr/lib64/python2.6/unittest.py", line 496, in runTest
2014-08-27 19:34:51.955 | self.__testFunc()
2014-08-27 19:34:51.955 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 296, in testng_method_mistake_capture_func
2014-08-27 19:34:51.956 | compatability.capture_type_error(s_func)
2014-08-27 19:34:51.956 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/compatability/exceptions_2_6.py", line 27, in capture_type_error
2014-08-27 19:34:51.956 | func()
2014-08-27 19:34:51.956 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 350, in func
2014-08-27 19:34:51.956 | func(test_case.state.get_state())
2014-08-27 19:34:51.956 | * File "/home/jenkins/workspace/gate-trove-python26/trove/tests/api/mgmt/hosts.py", line 150, in test_index_host_list_single
2014-08-27 19:34:51.956 | % (used_ram, total_ram))
2014-08-27 19:34:51.956 |
2014-08-27 19:34:51.956 | AssertionError: usedRAM 2048 should be less than totalRAM 2004
2014-08-27 19:34:51.956 |
2014-08-27 19:34:51.957 | Check failure! Traceback:
2014-08-27 19:34:51.957 | File "run_tests.py", line 194, in <module>
2014-08-27 19:34:51.957 | proboscis.TestProgram().run_and_exit()
2014-08-27 19:34:51.957 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 577, in run_and_exit
2014-08-27 19:34:51.957 | self.__run()
2014-08-27 19:34:51.957 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 534, in run
2014-08-27 19:34:51.957 | *args, **kwargs
2014-08-27 19:34:51.957 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/core.py", line 121, in __init__
2014-08-27 19:34:51.957 | **extra_args)
2014-08-27 19:34:51.957 | - File "/usr/lib64/python2.6/unittest.py", line 816, in __init__
2014-08-27 19:34:51.957 | self.runTests()
2014-08-27 19:34:51.958 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/core.py", line 207, in runTests
2014-08-27 19:34:51.958 | result = self.testRunner.run(self.test)
2014-08-27 19:34:51.958 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/core.py", line 62, in run
2014-08-27 19:34:51.958 | test(result)
2014-08-27 19:34:51.958 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/suite.py", line 177, in __call__
2014-08-27 19:34:51.958 | return self.run(*arg, **kw)
2014-08-27 19:34:51.958 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/suite.py", line 224, in run
2014-08-27 19:34:51.958 | test(orig)
2014-08-27 19:34:51.958 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/suite.py", line 177, in __call__
2014-08-27 19:34:51.958 | return self.run(*arg, **kw)
2014-08-27 19:34:51.958 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/suite.py", line 224, in run
2014-08-27 19:34:51.959 | test(orig)
2014-08-27 19:34:51.959 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/case.py", line 45, in __call__
2014-08-27 19:34:51.959 | return self.run(*arg, **kwarg)
2014-08-27 19:34:51.959 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/case.py", line 133, in run
2014-08-27 19:34:51.959 | self.runTest(result)
2014-08-27 19:34:51.959 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/case.py", line 151, in runTest
2014-08-27 19:34:51.959 | test(result)
2014-08-27 19:34:51.959 | - File "/usr/lib64/python2.6/unittest.py", line 299, in __call__
2014-08-27 19:34:51.959 | return self.run(*args, **kwds)
2014-08-27 19:34:51.959 | - File "/usr/lib64/python2.6/unittest.py", line 278, in run
2014-08-27 19:34:51.959 | testMethod()
2014-08-27 19:34:51.960 | - File "/usr/lib64/python2.6/unittest.py", line 496, in runTest
2014-08-27 19:34:51.960 | self.__testFunc()
2014-08-27 19:34:51.960 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 296, in testng_method_mistake_capture_func
2014-08-27 19:34:51.960 | compatability.capture_type_error(s_func)
2014-08-27 19:34:51.960 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/compatability/exceptions_2_6.py", line 27, in capture_type_error
2014-08-27 19:34:51.960 | func()
2014-08-27 19:34:51.960 | - File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 350, in func
2014-08-27 19:34:51.960 | func(test_case.state.get_state())
2014-08-27 19:34:51.960 | - File "/home/jenkins/workspace/gate-trove-python26/trove/tests/api/mgmt/hosts.py", line 153, in test_index_host_list_single
2014-08-27 19:34:51.961 | % percent_used)
2014-08-27 19:34:51.961 |
2014-08-27 19:34:51.961 | AssertionError: percentUsed should be less than 100 but was 102
2014-08-27 19:34:51.961 |
2014-08-27 19:34:51.961 | Check failure! Traceback:
2014-08-27 19:34:51.961 | File "run_tests.py", line 194, in <module>
2014-08-27 19:34:51.961 | proboscis.TestProgram().run_and_exit()
2014-08-27 19:34:51.961 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 577, in run_and_exit
2014-08-27 19:34:51.961 | self.__run()
2014-08-27 19:34:51.962 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 534, in run
2014-08-27 19:34:51.962 | *args, **kwargs
2014-08-27 19:34:51.962 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/core.py", line 121, in __init__
2014-08-27 19:34:51.962 | **extra_args)
2014-08-27 19:34:51.962 | * File "/usr/lib64/python2.6/unittest.py", line 816, in __init__
2014-08-27 19:34:51.962 | self.runTests()
2014-08-27 19:34:51.962 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/core.py", line 207, in runTests
2014-08-27 19:34:51.962 | result = self.testRunner.run(self.test)
2014-08-27 19:34:51.962 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/core.py", line 62, in run
2014-08-27 19:34:51.963 | test(result)
2014-08-27 19:34:51.963 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/suite.py", line 177, in __call__
2014-08-27 19:34:51.963 | return self.run(*arg, **kw)
2014-08-27 19:34:51.963 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/suite.py", line 224, in run
2014-08-27 19:34:51.963 | test(orig)
2014-08-27 19:34:51.964 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/suite.py", line 177, in __call__
2014-08-27 19:34:51.964 | return self.run(*arg, **kw)
2014-08-27 19:34:51.964 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/suite.py", line 224, in run
2014-08-27 19:34:51.964 | test(orig)
2014-08-27 19:34:51.964 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/case.py", line 45, in __call__
2014-08-27 19:34:51.964 | return self.run(*arg, **kwarg)
2014-08-27 19:34:51.964 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/case.py", line 133, in run
2014-08-27 19:34:51.964 | self.runTest(result)
2014-08-27 19:34:51.964 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/nose/case.py", line 151, in runTest
2014-08-27 19:34:51.965 | test(result)
2014-08-27 19:34:51.965 | * File "/usr/lib64/python2.6/unittest.py", line 299, in __call__
2014-08-27 19:34:51.965 | return self.run(*args, **kwds)
2014-08-27 19:34:51.965 | * File "/usr/lib64/python2.6/unittest.py", line 278, in run
2014-08-27 19:34:51.965 | testMethod()
2014-08-27 19:34:51.965 | * File "/usr/lib64/python2.6/unittest.py", line 496, in runTest
2014-08-27 19:34:51.965 | self.__testFunc()
2014-08-27 19:34:51.965 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 296, in testng_method_mistake_capture_func
2014-08-27 19:34:51.966 | compatability.capture_type_error(s_func)
2014-08-27 19:34:51.966 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/compatability/exceptions_2_6.py", line 27, in capture_type_error
2014-08-27 19:34:51.966 | func()
2014-08-27 19:34:51.966 | * File "/home/jenkins/workspace/gate-trove-python26/.tox/py26/lib/python2.6/site-packages/proboscis/case.py", line 350, in func
2014-08-27 19:34:51.966 | func(test_case.state.get_state())
2014-08-27 19:34:51.966 | * File "/home/jenkins/workspace/gate-trove-python26/trove/tests/api/mgmt/hosts.py", line 159, in test_index_host_list_single
2014-08-27 19:34:51.966 | % (used_ram, total_ram))
2014-08-27 19:34:51.966 |
2014-08-27 19:34:51.966 | AssertionError: usedRAM 2048 should be less than totalRAM 2004

Denis M. (dmakogon) on 2014-08-28
description: updated
Denis M. (dmakogon) on 2014-08-28
Changed in trove:
importance: Undecided → Medium
status: New → Confirmed
assignee: nobody → Denis M. (dmakogon)
milestone: none → juno-3

Fix proposed to branch: master
Review: https://review.openstack.org/117524

Changed in trove:
status: Confirmed → In Progress
Denis M. (dmakogon) on 2014-08-28
description: updated
Denis M. (dmakogon) on 2014-08-28
Changed in trove:
milestone: juno-3 → ongoing
assignee: Denis M. (dmakogon) → nobody
status: In Progress → Triaged

Change abandoned by Denis M. (<email address hidden>) on branch: master
Review: https://review.openstack.org/117524
Reason: due to discussion with SlickNik

As discussed, we might need to add elastic-recheck query to see the frequency of this bug.

Changed in trove:
assignee: nobody → khushbu (khushbuparakh)
Amrith Kumar (amrith) on 2016-04-05
Changed in trove:
assignee: khushbu (khushbuparakh) → nobody
Matt Fischer (mfisch) on 2016-06-06
summary: - host tests are failing due to assertion erros
+ host tests are failing due to assertion errors
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers